# GimpUi.NumberPairEntry.set_ratio

    @accepts(GimpUi.NumberPairEntry, float)
    @returns(none)
    def set_ratio(self, ratio):
        # Python wrapper for gimp_number_pair_entry_set_ratio()

Sets the numbers of the GimpUi.NumberPairEntry to have the desired ratio. If the new ratio is different than the previous ratio, the "ratio-changed" signal is emitted.

An attempt is made to convert the decimal number into a fraction with left_number and right_number < 1000.

Since 2.4

self

  A GimpUi.NumberPairEntry widget.

ratio

  Ratio to set in the widget.